
// #ifndef VUE3
import Vue from 'vue'
import uView from '@/uni_modules/uview-ui'
import App from './App'
import BASEURL from './utils/api.js'
Vue.prototype.$BASEURL = BASEURL
Vue.config.productionTip = false
App.mpType = 'app'
Vue.use(uView)
// uni.$u.config.unit = 'rpx'
const app = new Vue({
    ...App
})
require('./utils/request/index')(app)
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
import App from './App.vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}
// #endif